@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800;900&display=swap');

*{
    margin: 0;
    padding: 0;
    font-family: Poppins;
    
}
body{
    height: 90vh;
    width: 100hw;
}

#map {
    
    width: 100%;
    height: 100vh;
}

h1{
    color: black;
    font-size: 20px;
    
}

h2{
    color: blueviolet;
    font-size: 15px;
}
h3{
    color: rgb(212, 7, 42);
    font-size: 15px;
}
h4{
    color: black;
    font-size: 15;
}
h5{
    color: green;
    font-size: 15px;
}
h6{
    color: red;
    font-size: 20px;
}
h7{
    color: rgb(255, 0, 0);
    font-family: Poppins;
    font-size: 15px;
    

}
h8{
    color: rgb(0, 0, 0);
    font-family: Poppins;
    font-size: 16px;
    
}
h9{
    color: #da7019f5;
    font-size: 15px;
}
h10{
    color: rgb(0, 0, 0);
    font-size: 15px;
}
h11{
    color: #750505;
    font-size: 15px;
}
h12{
    color: purple;
    font-size: 30px;
} 
h13{
    color: #43f10c;
    font-size: 15px;
}
h14{
    color: #3083f3;
    font-size: 15px;

}
select{
    margin-bottom: 20px;
    margin-left: 20px;
}


.direction-icon {
    display: inline-block;
    transition: transform 0.2s;
}
#btnUbicacion {
    position: absolute;
    top: 80px; 
    left: 10px; 
    z-index: 1000;
    width: 34px;
    background-image: url('/img/boton-ubicacion.png'); 
    height: 34px;
    background-color: rgb(255, 255, 255);
    border: 2px solid #00ccff;
    border-radius: 5px; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3); 
    cursor: pointer;
    background-size: cover; 
    background-repeat: no-repeat;
    background-position: center;
}


#btnUbicacion:hover {
    border-color: #007bff;
}


.migaja-btn {
    position: absolute;
    top: 20px;
    right: 20px;
    background-color: #28a745; 
    color: white;
    padding: 12px 24px;
    border: none;
    border-radius: 25px; 
    font-size: 16px;
    font-weight: bold;
    text-decoration: none; 
    cursor: pointer;
    z-index: 1000;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease, transform 0.2s ease;
}


.migaja-btn:hover {
    background-color: #218838;
    transform: scale(1.05); 
}


.migaja-btn:active {
    transform: scale(0.95); 
}

 
@media (max-width: 756px) {
    *{
        margin: 0;
        padding: 0;
        font-family: Poppins;
        
    }
    body{
        height: 100vh;
        width: 100vw;
    }
    div #mensaje{
        margin-top:500px;
    }
    #map {
        width: 100%;
        height: 100vh; 
    }
    .leaflet-control-custom {
        width: 85%;
        bottom: 60px;
    }
     .leaflet-control-custom {
        overflow: auto;
    }
   
    #btnUbicacion {
        position: absolute;
        top: 90px; 
        left: 10px; 
        z-index: 1000;
        width: 34px;
        background-image: url('/img/boton-ubicacion.png'); 
        height: 34px;
        background-color: rgb(255, 255, 255);
        border: 2px solid #00ccff;
        border-radius: 5px; 
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3); 
        cursor: pointer;
        background-size: cover; 
        background-repeat: no-repeat;
        background-position: center;
    }
}